package com.zm.order.tool.server.hint;

import com.zm.order.tool.server.model.OrderExtends;
import com.zm.order.tool.server.query.OrderQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author 陈标
 * @Date 2020/3/25 14:57
 */
@Repository
public interface HintOrderExtendsDao {

    List<Long> scanId(OrderQuery query);

    List<OrderExtends> listById(@Param("list") List<Long> list);

    List<OrderExtends> scanList(OrderQuery query);

    void batchUpdateDate(List<Long> list);
}
